Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | List of all members
eZTemplateOperator Class Reference
Template system » Template operators

Base documentation class for operators. More...

## Public Member Functions
| operatorList ()
| namedParameterList ()
| modify ($element, $tpl, &$op_name, &$op_params, &$namespace, &$value, &$named_params)

## Detailed Description

Base documentation class for operators.

Note
  This class is never used but only exists for documentation purposes.

Definition at line 19 of file eztemplateoperator.php.

## Member Function Documentation

## ◆ modify()

eZTemplateOperator::modify | ( |  | $element,
|  |  | $tpl,
|  | & | $op_name,
|  | & | $op_params,
|  | & | $namespace,
|  | & | $value,
|  | & | $named_params
| ) |  |

Modifies the input variable $value and sets the output result in the same variable.

Note
  Remember to use references on the function arguments.

Parameters

  $element | The operator element, can be used for doing advanced querying but should be avoided.
  $tpl | The template object which called this class
  $op_name | The name of this operator
  $op_params | The parameters for this operator
  $namespace | The namespace which this operator works in
  $value | The current namespace for functions, this is usually used in functions for setting new variables. The input/output value
  $named_params | The parameters as named lookups, only required if namedParameterList() is defined. The values of each parameter is also fetched for you.

Definition at line 54 of file eztemplateoperator.php.

## ◆ namedParameterList()

eZTemplateOperator::namedParameterList | ( |  | ) |

Returns an array of named parameters, this allows for easier retrieval of operator parameters. This also requires the function modify() has an extra parameter called $named_params.

The position of each element (starts at 0) represents the position of the original sequenced parameters. The key of the element is used as parameter name, while the contents define the type and requirements. The keys of each element content is: type - defines the type of parameter allowed required - boolean which says if the parameter is required or not, if missing and required an error is displayed default - the default value if the parameter is missing

Definition at line 44 of file eztemplateoperator.php.

## ◆ operatorList()

eZTemplateOperator::operatorList | ( |  | ) |

Returns the template operators which are registered when using eZTemplate::registerOperators()

Definition at line 24 of file eztemplateoperator.php.

The documentation for this class was generated from the following file:

- eztemplateoperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.